ScriptProperty (install4j help)
Keywords: com.install4j.api.beans.ScriptProperty class

## install4j API documentation

## com.install4j.api.beans
Class ScriptProperty

    java.lang.Object
      com.install4j.api.beans.ScriptProperty

    public class ScriptProperty

extends java.lang.Object

Property type for script properties to be used in beans. You can define your own script properties where the user can configure a script in the install4j GUI that is compiled by the install4j compiler and executed at runtime on your request. A script is run via the context by invoking `Context.runScript` with the expected parameters for the script. Parameters are configured via the corresponding BeanInfo class. The `ScriptPropertyDescriptor` class allows you to create a property descriptor that contains information regarding return type and script parameters.

Author:
  ej-technologies GmbH
See Also:
  `Context.runScript(ScriptProperty, Bean, Object[])`, `ScriptPropertyDescriptor`

Constructor Summary
`ScriptProperty()` The constructor is called by the framework.
`ScriptProperty(java.lang.String value)` The constructor is called by the framework.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getValue()` Required by the framework.
`int` | `hashCode()`
`void` | `setValue(java.lang.String value)` Required by the framework.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptProperty

    public ScriptProperty()

  The constructor is called by the framework.

### ScriptProperty

    public ScriptProperty(java.lang.String value)

  The constructor is called by the framework.

Method Detail

### getValue

    public java.lang.String getValue()

  Required by the framework. Do not call directly.

### setValue

    public void setValue(java.lang.String value)

  Required by the framework. Do not call directly.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`